/******************************************************************************
 * RepBotPopupSubmenu.java - The repbot submenu that says whether to vouch or complain about a player.
 * $Id: RepBotPopupSubmenu.java,v 1.3 2010/03/03 13:12:21 inim Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: RepBotPopupSubmenu.java,v $
 * Revision 1.3  2010/03/03 13:12:21  inim
 * Replaced (c) sign in comment mangled by CVS default encoding back to UTF-8
 *
 * Revision 1.2  2010/03/03 12:19:49  inim
 * Moved source to UTF8 encoding from CP1252 encoding. To this end all source files' (c) message was updated to "Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.". This replaces the (c) sign to UTF8, and adds the new year 2010.
 *
 * Revision 1.1  2010/02/04 05:57:53  inim
 * Mavenized project folder layout
 *
 * Revision 1.1  2010/01/23 06:28:27  dick
 * The repbot submenu that says whether to vouch or complain about a player.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.playerList;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenu;
import javax.swing.JMenuItem;

/** The repbot submenu that says whether to vouch or complain about a player.
 * @author Dick Balaska
 * @since 2009/12/01
 * @version $Revision: 1.3 $ <br> $Date: 2010/03/03 13:12:21 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/playerList/RepBotPopupSubmenu.java">cvs RepBotPopupSubmenu.java</a>
 */
public class RepBotPopupSubmenu extends JMenu implements ActionListener {
	private static final long serialVersionUID = 1L;
	private	ActionListener	menuHandler = null;  //  @jve:decl-index=0:

	private JMenuItem jMenuItemVouch = null;
	private JMenuItem jMenuItemComplain = null;

	/**
	 * This method initializes 
	 * 
	 */
	public RepBotPopupSubmenu() {
		super();
		initialize();
	}

	/** Set our reference to the object that will receive menu events
	 * @param c The ActionListener object
	 */ 
	public	void setMenuHandler(ActionListener c) {
		this.menuHandler = c;
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e) {
		menuHandler.actionPerformed(e);
	}

	
	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        this.setSize(new Dimension(73, 40));
        this.setText("RepBot");
        this.add(getJMenuItemVouch());
        this.add(getJMenuItemComplain());
	}

	/**
	 * This method initializes jMenuItemResume	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	protected JMenuItem getJMenuItemVouch() {
		if (jMenuItemVouch == null) {
			jMenuItemVouch = new JMenuItem();
			jMenuItemVouch.setText("Vouch");
			jMenuItemVouch.setActionCommand("repVouch");
			jMenuItemVouch.setToolTipText("Vouch for a player.");
			jMenuItemVouch.addActionListener(this);
		}
		return jMenuItemVouch;
	}

	/**
	 * This method initializes jMenuItem1	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getJMenuItemComplain() {
		if (jMenuItemComplain == null) {
			jMenuItemComplain = new JMenuItem();
			jMenuItemComplain.setText("Complain");
			jMenuItemComplain.setActionCommand("repComplain");
			jMenuItemComplain.setToolTipText("Complain to Repbot about a player.");
			jMenuItemComplain.addActionListener(this);
		}
		return jMenuItemComplain;
	}

	/**
	 * This method initializes jMenuItem3	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */

}  //  @jve:decl-index=0:visual-constraint="10,10"
